Package org.apache.cxf.common.security

# Class SimplePrincipal

java.lang.Object
org.apache.cxf.common.security.SimplePrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

Direct Known Subclasses:
  `SimpleGroup`

public class SimplePrincipal extends Object implements Principal, Serializable
Simple Principal implementation

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimplePrincipal(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getName()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.security.Principal

  `implies`

- ## Constructor Details

  - ### SimplePrincipal

    public SimplePrincipal(String name)

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `Principal`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `Principal`
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Principal`
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `Principal`
    Overrides:
      `toString` in class `Object`